# Generated from gitlab-branch-rename-0.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gitlab-branch-rename

Name: rubygem-%{gem_name}
Version: 0.6.0
Release: 1%{?dist}
Summary: Tool to rename your Gitlab project branches en masse
License: MIT
URL: https://gitlab.com/apfritts/gitlab-branch-rename
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
BuildArch: noarch

%description
To support Black Lives Matter and create safer spaces, I wanted to rename all
of the default branches in my Gitlab account. I wasn't able to find any tools
to do that, so I wrote this one. If you're unsure why this is important or
want to better understand why I wanted to make these changes, see this great
{Twitter thread}[https://twitter.com/mislav/status/1270388510684598272].


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gitlab-branch-rename
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/gitlab-branch-rename.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.6.0-1
- Initial package
